Subject: Re: fully deepening a shallow clone

From: Joey Hess <[email-masked]>
Date: Wed, 18 Aug 2010 11:48:38 -0400

Nguyen Thai Ngoc Duy wrote:
> On Tue, Aug 17, 2010 at 10:49 AM, Joey Hess <[email-masked]> wrote:
> > git-pull(1):
> >       --depth=<depth>
> >           Deepen the history of a shallow repository created by git clone
> >           with --depth=<depth> option (see git-clone(1)) by the specified
> >           number of commits.
> >
> > Well, what if I want to deepen an existing shallow clone to include
> > the full history? In practice, something like --depth=100000000 is going
> > to work, but in theory, that will eventually fail some day when there are
> > enough commits. :)
> 
> I have always thought --depth=0 will make full repo again. Have you tried that?

I'd be happy if it did, but it pulls 0 revs actually.

-- 
see shy jo